org.apache.lucene.benchmark.byTask.tasks

## Class OpenIndexTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.OpenIndexTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class OpenIndexTask
      extends PerfTask

  Open an index writer.
  Other side effects: index writer object in perfRunData is set.
  Relevant properties: `merge.factor, max.buffered, max.field.length, ram.flush.mb [default 0], autocommit [default true]`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_AUTO_COMMIT`
    `static int` | `DEFAULT_MAX_BUFFERED`
    `static int` | `DEFAULT_MAX_FIELD_LENGTH`
    `static int` | `DEFAULT_MERGE_PFACTOR`
    `static double` | `DEFAULT_RAM_FLUSH_MB`

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenIndexTask(PerfRunData runData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setup, shouldNeverLogAtStart, shouldNotRecordStats, supportsParams, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_BUFFERED

          public static final int DEFAULT_MAX_BUFFERED

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_FIELD_LENGTH

          public static final int DEFAULT_MAX_FIELD_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_MERGE_PFACTOR

          public static final int DEFAULT_MERGE_PFACTOR

      See Also:
        Constant Field Values

    - #### DEFAULT_RAM_FLUSH_MB

          public static final double DEFAULT_RAM_FLUSH_MB

      See Also:
        Constant Field Values

    - #### DEFAULT_AUTO_COMMIT

          public static final boolean DEFAULT_AUTO_COMMIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenIndexTask

          public OpenIndexTask(PerfRunData runData)

  - ### Method Detail

    - #### doLogic

          public int doLogic()
                      throws java.io.IOException

      Description copied from class: `PerfTask`
      Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
      Specified by:
        `doLogic` in class `PerfTask`
      Returns:
        number of work items done by this task.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.